Welcome!

Welcome to the official BlackBerry Support Community Forums.

This is your resource to discuss support topics with your peers, and learn from each other.

inside custom component

Web and WebWorks Development

Reply
New Contributor
Posts: 9
Registered: ‎10-19-2012
My Device: Blackberry 10 dev alpha
My Carrier: Blackberry 10 dev alpha

Error Package ID an upgrade File

When you update an application ( ADD Releases ), 

After it is loaded this message appears :

 

File bundle (Game.bar) has been rejected. Package ID is required for all .bar file. If this is an upgrade, Package ID must match Package ID in original file bundle.

 

How i Can Solve it ?

Developer
Posts: 322
Registered: ‎08-06-2012
My Device: Dev Alpha / Playbook / Curve 9300

Re: Error Package ID an upgrade File

Are you trying to UPGRADE an app but the bar file or app has a different name this time.  ie: your first app was xyz.bar and now your app is xyz_z.bar.  You also assign an app name when compiling the app in ripple - it must be same as last time.

 

Also check... there is an id tag in the config.xml - is your id tag the same as last time you uploaded your app.

If it helped you, click like. Smiley Happy
Developer
Posts: 322
Registered: ‎08-06-2012
My Device: Dev Alpha / Playbook / Curve 9300

Re: Error Package ID an upgrade File

Also check out msohms comment in this similar thread...

http://supportforums.blackberry.com/t5/Web-and-WebWorks-Development/File-Bundle-Rejected/td-p/194932...

If it helped you, click like. Smiley Happy
New Contributor
Posts: 9
Registered: ‎10-19-2012
My Device: Blackberry 10 dev alpha
My Carrier: Blackberry 10 dev alpha

Re: Error Package ID an upgrade File

I've done the same solution but useless 

Highlighted
BlackBerry Development Advisor
Posts: 759
Registered: ‎10-01-2009
My Device: All
My Carrier: N/A

Re: Error Package ID an upgrade File

[ Edited ]

You may want to get in touch with App World support if the solution didn't work for you.

 

https://www.blackberry.com/profile/?eventId=8109